Summary:	Access Control for OpenCA
Name: 		perl-OpenCA-AC
Version: 	0.9.60.2.4
Release:	%mkrel 5
License:	LGPL
Group: 		Development/Perl
URL:		http://www.openca.org
Source:		OpenCA-AC-%{version}.tar.gz
#Requires:	perl-CGI-Session
#Requires:	perl-OpenCA-Log
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-XML-Cache
#Requires:	perl-XML-Twig
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-CGI-Session
BuildRequires:	perl-OpenCA-Log
BuildRequires:	perl-OpenCA-PKCS7
BuildRequires:	perl-OpenCA-Tools
BuildRequires:	perl-OpenCA-TRIStateCGI
BuildRequires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-XML-Twig
BuildRequires:	perl-OpenCA-OpenSSL
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl(Net::LDAP)
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the complete access control to the interfaces
of OpenCA. This include things like channel verification, login,
session management and access control lists.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-AC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/OpenCA/AC.pm
%{perl_vendorlib}/OpenCA/AC.pod
%{_mandir}/*/*


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.9.60.2.4-5mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.60.2.4-5mdv2008.0
+ Revision: 64757
- sync the tarballs from latest openca package

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.9.60.2.4-4mdv2008.0
+ Revision: 25193
- fix buildrequires


* Fri May 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.60.2.4-3mdk
- revert the last change

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.60.2.4-2mdk
- Fix BuildRequires

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.60.2.4-1mdk
- 0.9.60.2.4 (taken from the OpenCA-0.9.2.5 tar ball)
- don't ship the MANIFEST file

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.60.2.3-3mdk
- BuildRequires

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.60.2.3-2mdk
- rebuild

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.60.2.3-1mdk
- 0.9.60.2.3
- taken from the openca-0.9.2.1 tarball, newer than from cvs!

* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.62-1mdk
- 0.9.62

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.58-1mdk
- 0.9.58

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.55-1mdk
- 0.9.55

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.53-1mdk
- 0.9.53

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.52-1mdk
- 0.9.52

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.50-2mdk
- built for cooker

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.50-1mdk
- 0.9.50

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.49-1mdk
- 0.9.49

* Thu May 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.47-1mdk
- 0.9.47

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.46-1mdk
- 0.9.46
- fix buildrequires

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.40-1mdk
- initial package

